MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007228ardourbugspublic2017-02-06 11:562017-07-19 07:14
Reportercolinf 
Assigned Topaul 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version5.X git (version in description) 
Target VersionFixed in Version 
Summary0007228: Region trim operations disabled when there's a track selection
DescriptionIt used to be possible to use, for example, 'J' and 'K' to trim all regions on selected tracks at the edit point, but these now appear to be disabled when the region selection is empty.

TagsNo tags attached.
Attached Files

- Relationships
related to 0007077assignedpaul Right click context menu over region usable only in some modes 

-  Notes
(0019338)
paul (administrator)
2017-02-07 08:24

should be fixed in git now.
(0019340)
colinf (updater)
2017-02-07 08:29

Hmm, still doesn't work for me: all region trim menu items are still disabled when there's a track selection.

Also, I reckon that at least 'Trim to Loop' and 'Trim to Punch' should also be enabled in this case.
(0019342)
paul (administrator)
2017-02-07 08:34

ah right, i thought that just not calling "reg_sens()" on them was enough. it isn't. there needs to be a new group .... coming up.
(0019361)
paul (administrator)
2017-02-10 13:13

this is much harder than it looked. here are some notes i made while hacking on an experimental branch ...

problem is that when calling
sensitize_the_right_region_actions(), we call
get_regions_from_selection_and_edit_point() but with arguments
that may differ from those used to make the same call when an
action is actually carried out.

this means that get_regions_from_selection_and_edit_point() may return
different results in each context, which means that an action which
was shown as relevant (sensitive) in a menu may in fact do nothing.

secondarily, many operations use
get_regions_from_selection_and_entered(), not
get_regions_from_selection_and_edit_point() which means that the set
of regions potentially affected by an action depends on the action
itself and cannot be generalized.
(0019402)
paul (administrator)
2017-02-16 01:31

Things should be much better as of 606c8d4

This took quite a hard engineering effort. I suspect there may still be ways to improve the overall code internally, but I think this now functions as expected from a user perspective.
(0019902)
colinf (updater)
2017-07-19 07:14

Yes, working for ages now: cheers!

- Issue History
Date Modified Username Field Change
2017-02-06 11:56 colinf New Issue
2017-02-07 05:06 colinf Description Updated View Revisions
2017-02-07 08:24 paul Note Added: 0019338
2017-02-07 08:24 paul Assigned To => paul
2017-02-07 08:24 paul Status new => feedback
2017-02-07 08:29 colinf Note Added: 0019340
2017-02-07 08:29 colinf Status feedback => assigned
2017-02-07 08:34 paul Note Added: 0019342
2017-02-10 13:13 paul Note Added: 0019361
2017-02-13 03:51 colinf Relationship added related to 0007077
2017-02-16 01:31 paul Note Added: 0019402
2017-02-16 01:31 paul Status assigned => feedback
2017-07-19 07:14 colinf Note Added: 0019902
2017-07-19 07:14 colinf Status feedback => assigned
2017-07-19 07:14 colinf Status assigned => resolved
2017-07-19 07:14 colinf Resolution open => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker